import { RedoOutlined, UndoOutlined } from "@ant-design/icons";
import classnames from "classnames";
import React from "react";
import { ToolBarItem } from "./ToolBarItem";
export var UndoRedoButtons = /*#__PURE__*/ React.memo(function(param) {
    var baseClassName = param.baseClassName, hashId = param.hashId, i18n = param.i18n, onUndo = param.onUndo, onRedo = param.onRedo;
    var _i18n_locale, _i18n_locale1;
    return /*#__PURE__*/ React.createElement(React.Fragment, null, /*#__PURE__*/ React.createElement(ToolBarItem, {
        title: (i18n === null || i18n === void 0 ? void 0 : (_i18n_locale = i18n.locale) === null || _i18n_locale === void 0 ? void 0 : _i18n_locale.undo) || '撤销',
        icon: /*#__PURE__*/ React.createElement(UndoOutlined, null),
        onClick: onUndo,
        className: classnames("".concat(baseClassName, "-item"), hashId)
    }), /*#__PURE__*/ React.createElement(ToolBarItem, {
        title: (i18n === null || i18n === void 0 ? void 0 : (_i18n_locale1 = i18n.locale) === null || _i18n_locale1 === void 0 ? void 0 : _i18n_locale1.redo) || '重做',
        icon: /*#__PURE__*/ React.createElement(RedoOutlined, null),
        onClick: onRedo,
        className: classnames("".concat(baseClassName, "-item"), hashId)
    }));
});
UndoRedoButtons.displayName = 'UndoRedoButtons';
